Foxit PDF SDK

Public Member Functions | List of all members
foxit::addon::FormFileInfo Class Reference
Inheritance diagram for foxit::addon::FormFileInfo:

## Public Member Functions
| FormFileInfo (const FormFileInfo &other)
| Constructor, with another information object. More...
| FormFileInfo (const wchar_t *file_path, const WString &password)
| Constructor, with parameters. More...
| FormFileInfo (foxit::common::file::ReaderCallback *reader_callback, const WString &password, const wchar_t *file_name)
| Constructor, with parameters. More...
| ~FormFileInfo ()
| Destructor.
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | operator!= (const FormFileInfo &other) const
| Not equal operator. More...
FormFileInfo & | operator= (const FormFileInfo &other)
| Assign operator. More...
bool | operator== (const FormFileInfo &other) const
| Equal operator. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class represents form file information. Form file can be PDF, FDF, XML or XFDF format.

## Constructor & Destructor Documentation

## ◆ FormFileInfo() [1/3]

foxit::addon::FormFileInfo::FormFileInfo | ( | const wchar_t * | file_path,
|  | const WString & | password
| ) |  |

Constructor, with parameters.

This constructor will check the validition of input file.

Parameters

  [in] | file_path | File path of a form file. This should be a PDF, FDF, XML or XFDF file.
  [in] | password | The password of input file specified by parameter file_path. This is only useful when input file is a PDF file. If input file is not a PDF file or input PDF file does not have any password, please pass an empty string.

## ◆ FormFileInfo() [2/3]

foxit::addon::FormFileInfo::FormFileInfo | ( | foxit::common::file::ReaderCallback * | reader_callback,
|  | const WString & | password,
|  | const wchar_t * | file_name
| ) |  |

Constructor, with parameters.

This constructor will check the validition of input file.

Parameters

  [in] | reader_callback | The reader file callback of a file, which is to be combined with other files. And it only supports PDF, FDF, XML and XFDF files.
  [in] | password | The password of input file specified by parameter reader_callback. This is only useful when input file is a PDF file. If input file is not a PDF file or input PDF file does not have any password, please pass an empty string.
  [in] | file_name | File name of input file which is specified by parameter reader_callback. This name will be written into target file when current information object is used in combination. This can be an empty string.

## ◆ FormFileInfo() [3/3]

foxit::addon::FormFileInfo::FormFileInfo | ( | const FormFileInfo & | other | ) |

Constructor, with another information object.

Parameters

  [in] | other | Another information object.

## Member Function Documentation

## ◆ IsEmpty()

bool foxit::addon::FormFileInfo::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ operator!=()

bool foxit::addon::FormFileInfo::operator!= | ( | const FormFileInfo & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another information object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

FormFileInfo& foxit::addon::FormFileInfo::operator= | ( | const FormFileInfo & | other | ) |

Assign operator.

Parameters

  [in] | other | Another information object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::addon::FormFileInfo::operator== | ( | const FormFileInfo & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another information object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.